Loading...
Searching...
No Matches
RDKit::SDWriter Class Reference

`#include <MolWriters.h>`

Inheritance diagram for RDKit::SDWriter:

## Public Member Functions

| SDWriter (const std::string &fileName)
| SDWriter (std::ostream *outStream, bool takeOwnership=false)
| ~SDWriter () override
void | setProps (const STR_VECT &propNames) override
| set a vector of property names that are need to be written out for each molecule
void | write (const ROMol &mol, int confId=defaultConfId) override
| write a new molecule to the file
void | flush () override
| flush the ostream
void | close () override
| close our stream (the writer cannot be used again)
unsigned int | numMols () const override
| get the number of molecules written so far
void | setForceV3000 (bool val)
bool | getForceV3000 () const
void | setKekulize (bool val)
bool | getKekulize () const
Public Member Functions inherited from RDKit::MolWriter
virtual | ~MolWriter ()

## Static Public Member Functions

static std::string | getText (const ROMol &mol, int confId=defaultConfId, bool kekulize=true, bool force_V3000=false, int molid=-1, STR_VECT *propNames=nullptr)
| return the text that would be written to the file

## Detailed Description

The SDWriter is for writing molecules and properties to SD files

Definition at line 141 of file MolWriters.h.

## Constructor & Destructor Documentation

## SDWriter() [1/2]

RDKit::SDWriter::SDWriter | ( | const std::string & | fileName | ) |

Parameters

  fileName | : filename to write to ("-" to write to stdout)

## SDWriter() [2/2]

RDKit::SDWriter::SDWriter | ( | std::ostream * | outStream,
|  | bool | takeOwnership = `false`
| ) |  |

## ~SDWriter()

RDKit::SDWriter::~SDWriter | ( |  | ) |

override

## Member Function Documentation

## close()

void RDKit::SDWriter::close | ( |  | ) |

inline override virtual

close our stream (the writer cannot be used again)

Implements RDKit::MolWriter.

Definition at line 186 of file MolWriters.h.

## flush()

void RDKit::SDWriter::flush | ( |  | ) |

inline override virtual

flush the ostream

Implements RDKit::MolWriter.

Definition at line 171 of file MolWriters.h.

References PRECONDITION.

## getForceV3000()

bool RDKit::SDWriter::getForceV3000 | ( |  | ) | const

inline

Definition at line 201 of file MolWriters.h.

## getKekulize()

bool RDKit::SDWriter::getKekulize | ( |  | ) | const

inline

Definition at line 204 of file MolWriters.h.

## getText()

static std::string RDKit::SDWriter::getText | ( | const ROMol & | mol,
|  | int | confId = `defaultConfId`,
|  | bool | kekulize = `true`,
|  | bool | force_V3000 = `false`,
|  | int | molid = `-1`,
|  | STR_VECT * | propNames = `nullptr`
| ) |  |

static

return the text that would be written to the file

## numMols()

unsigned int RDKit::SDWriter::numMols | ( |  | ) | const

inline override virtual

get the number of molecules written so far

Implements RDKit::MolWriter.

Definition at line 198 of file MolWriters.h.

## setForceV3000()

void RDKit::SDWriter::setForceV3000 | ( | bool | val | ) |

inline

Definition at line 200 of file MolWriters.h.

## setKekulize()

void RDKit::SDWriter::setKekulize | ( | bool | val | ) |

inline

Definition at line 203 of file MolWriters.h.

## setProps()

void RDKit::SDWriter::setProps | ( | const STR_VECT & | propNames | ) |

override virtual

set a vector of property names that are need to be written out for each molecule

Implements RDKit::MolWriter.

## write()

void RDKit::SDWriter::write | ( | const ROMol & | mol,
|  | int | confId = `defaultConfId`
| ) |  |

override virtual

write a new molecule to the file

Implements RDKit::MolWriter.

The documentation for this class was generated from the following file:

- MolWriters.h